# Information Schema PARAMETERS Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `PARAMETERS` table stores information about [stored procedures](/docs/server/server-usage/stored-routines/stored-procedures.md) and [stored functions](/docs/server/server-usage/stored-routines/stored-functions.md) parameters.

It contains the following columns:

| Column                     | Description                                                                                                                                                                                        |
| -------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| SPECIFIC\_CATALOG          | Always def.                                                                                                                                                                                        |
| SPECIFIC\_SCHEMA           | Database name containing the stored routine parameter.                                                                                                                                             |
| SPECIFIC\_NAME             | Stored routine name.                                                                                                                                                                               |
| ORDINAL\_POSITION          | Ordinal position of the parameter, starting at 1. 0 for a function RETURNS clause.                                                                                                                 |
| PARAMETER\_DEFAULT         | Displays default values for stored routine parameters.                                                                                                                                             |
| PARAMETER\_MODE            | One of IN, OUT, INOUT or NULL for RETURNS.                                                                                                                                                         |
| PARAMETER\_NAME            | Name of the parameter, or NULL for RETURNS.                                                                                                                                                        |
| DATA\_TYPE                 | The column's [data type](/docs/server/reference/data-types.md).                                                                                                                                    |
| CHARACTER\_MAXIMUM\_LENGTH | Maximum length.                                                                                                                                                                                    |
| CHARACTER\_OCTET\_LENGTH   | Same as the CHARACTER\_MAXIMUM\_LENGTH except for multi-byte [character sets](/docs/server/reference/data-types/string-data-types/character-sets.md).                                              |
| NUMERIC\_PRECISION         | For numeric types, the precision (number of significant digits) for the column. NULL if not a numeric field.                                                                                       |
| NUMERIC\_SCALE             | For numeric types, the scale (significant digits to the right of the decimal point). NULL if not a numeric field.                                                                                  |
| DATETIME\_PRECISION        | Fractional-seconds precision, or NULL if not a [time data type](/docs/server/reference/data-types/date-and-time-data-types.md).                                                                    |
| CHARACTER\_SET\_NAME       | [Character set](/docs/server/reference/data-types/string-data-types/character-sets.md) if a non-binary [string data type](/docs/server/reference/data-types/string-data-types.md), otherwise NULL. |
| COLLATION\_NAME            | [Collation](/docs/server/reference/data-types/string-data-types/character-sets.md) if a non-binary [string data type](/docs/server/reference/data-types/string-data-types.md), otherwise NULL.     |
| DTD\_IDENTIFIER            | Description of the data type.                                                                                                                                                                      |
| ROUTINE\_TYPE              | PROCEDURE or FUNCTION.                                                                                                                                                                             |
| PARAMETER\_DEFAULT         | Default parameter value. From [MariaDB 12.2](/docs/release-notes/community-server/12.2/mariadb-12.2-changes-and-improvements.md).                                                                  |

Information from this table is similar to that found in the `param_list` column in the [mysql.proc](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-proc-table.md) table, and the output of the [SHOW CREATE PROCEDURE](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-create-procedure.md) and [SHOW CREATE FUNCTION](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-create-function.md) statements.

To obtain information about the routine itself, you can query the [Information Schema ROUTINES table](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-routines-table.md).

## Example

```sql
SELECT * FROM information_schema.PARAMETERS
LIMIT 1 \G
********************** 1. row **********************
        SPECIFIC_CATALOG: def
         SPECIFIC_SCHEMA: accounts
           SPECIFIC_NAME: user_counts
        ORDINAL_POSITION: 1
          PARAMETER_MODE: IN
          PARAMETER_NAME: user_order
               DATA_TYPE: varchar
CHARACTER_MAXIMUM_LENGTH: 255
  CHARACTER_OCTET_LENGTH: 765
       NUMERIC_PRECISION: NULL
           NUMERIC_SCALE: NULL
      DATETIME_PRECISION: NULL
      CHARACTER_SET_NAME: utf8
          COLLATION_NAME: utf8_general_ci
          DTD_IDENTIFIER: varchar(255)
            ROUTINE_TYPE: PROCEDURE
       PARAMETER_DEFAULT: NULL
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-parameters-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
